


function pasar_img(a)

if a!=nil then
	w=a:width() 
	h=a:height() 
	b=image.create(w,h)


	for x=1,w do
		for y=1,h do
			b:pixel(x,y,a:pixel(x,y))
		end
	end

	return b 
end 

end



function draw.clock(x,y,rad,colsec,colmin,colhour)
sec = os.date("%S")
min = os.date("%M")
hour = os.date("%H")
 

reloj:blit(x-54,y-54)
draw.line(x-math.cos(math.rad(sec*6-90))*rad/5,y-math.sin(math.rad(sec*6-90))*rad/5,x+math.cos(math.rad(sec*6-90))*rad,y+math.sin(math.rad(sec*6-90))*rad,colsec)
draw.line(x,y,x+math.cos(math.rad(min*6-90))*((rad/4)*3),y+math.sin(math.rad(min*6-90))*((rad/4)*3),colmin)
draw.line(x,y,x+math.cos(math.rad(((hour*360)/12)+((min*30)/60)-90))*((rad/5)*3),y+math.sin(math.rad(((hour*360)/12)+((min*30)/60)-90))*((rad/5)*3),colhour)
screen.print(pspfont,x-54+29,y-54+112,hour..":"..min..":"..sec,0.8,negro,0)

end